import resolve from 'rollup-plugin-node-resolve';
import commonjs from 'rollup-plugin-commonjs';
import babel from 'rollup-plugin-babel';

export default {
  input: 'index.js',
  output: [
      {
        file: 'bundle_cjs.js',
        format: 'cjs'
      },
      {
        name: 'my_lib',
        file: 'bundle_umd.js',
        format: 'umd'
      },
  ],
  plugins: [
      resolve(),
      commonjs(),
      babel({
          exclude: 'node_modules/**',
      }),
  ],
};
