import App from '../App';
import DemoPage from '../pages/DemoPage';
import NotFound from '../pages/NotFound';

const routes = [
    {
        component: App,
        routes: [
            {
                path: '/',
                exact: true,
                component: DemoPage,
            },
            {
                path: '*',
                component: NotFound,
            },
        ],
    },
];

export default routes;
